package com.yunzhi.niucai.alipay;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Accessors(chain = true)
@Component
@ConfigurationProperties(prefix = "alipay")
public class Config {
    String appid;
    String privateKey;
    String publicKey;
    String certPath;
    String publicCertPath;
    String rootCertPath;
    String format;
    String charset;
    String signType;
    String apiUrl;
    String notifyUrl;
    String authUrl;
    String authCallback;
}
